"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.openUrlInBrowser = void 0;
const open_1 = __importDefault(require("open"));
const constants_1 = require("../constants");
const options_1 = require("./options");
const logger_1 = require("../logger");
const getLogger = () => (0, logger_1.get)("utils.open");
const openUrlInBrowser = async (url, queryParameters = {}) => {
    const browser = (0, options_1.getOptionValueFromConfig)(constants_1.OPTION_BROWSER, constants_1.DEFAULT_BROWSER);
    const u = new URL(url);
    for (const [key, value] of Object.entries(queryParameters)) {
        u.searchParams.append(key, value);
    }
    const urlString = u.toString();
    const { debug } = getLogger();
    debug(`open browser ${browser} at ${urlString}`);
    await (0, open_1.default)(urlString, { app: { name: browser } });
};
exports.openUrlInBrowser = openUrlInBrowser;
